"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.isValidCurrencyCode = void 0;
const currencyCodes_1 = require("./currencyCodes");
/**
 * Validates a currency code against the ISO 4217 standard.
 * @param {string} currencyCode - The currency code to validate.
 * @returns True if the currency code is valid, false otherwise.
 */
function isValidCurrencyCode(currencyCode) {
    return currencyCodes_1.validCurrencyCodes.has(currencyCode.toUpperCase());
}
exports.isValidCurrencyCode = isValidCurrencyCode;
//# sourceMappingURL=validateCurrencyCode.js.map