"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.isValidTransactionAmount = void 0;
/**
 * Validates a transaction amount (up to 2 decimal places are allowed).
 * @param {number} amount - The transaction amount to validate.
 * @returns True if the transaction amount is valid, false otherwise.
 */
function isValidTransactionAmount(amount) {
    // Check if amount is a positive number
    if (amount <= 0 || !isFinite(amount)) {
        return false;
    }
    const decimalCount = (amount.toString().split('.')[1] || '').length;
    return decimalCount <= 2;
}
exports.isValidTransactionAmount = isValidTransactionAmount;
//# sourceMappingURL=validateTransactionAmount.js.map